//+------------------------------------------------------------------+
//|                                          to_ind_Dunn_Type_1 .mq4 |
//|                                                                * |
//|                                                                * |
//+------------------------------------------------------------------+
#property copyright "*"
#property link      "*"

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 DodgerBlue
#property indicator_color2 Moccasin
//---- input parameters
extern int       ExtParam1;
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
   
   
   IndicatorDigits(0);
   SetIndexLabel(0,"");
   SetIndexLabel(1,"");   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    limit=Bars-IndicatorCounted()-1;
      for(int i=limit;i>=0;i--){
         for(int j=i;j<Bars;j++){
            if(High[j]>High[j+1] && Low[j]>Low[j+1] && High[j+1]>High[j+2] && Low[j+1]>Low[j+2]){
               ExtMapBuffer1[i]=1;
               break;
            }
            if(High[j]<High[j+1] && Low[j]<Low[j+1] && High[j+1]<High[j+2] && Low[j+1]<Low[j+2]){
               ExtMapBuffer1[i]=-1;
               break;
            }            
         }
         
         for(j=i;j<Bars;j++){
            if(High[j]>High[j+1] && Low[j]>Low[j+1]){
               ExtMapBuffer2[i]=0.5;
               break;
            }
            if(High[j]<High[j+1] && Low[j]<Low[j+1]){
               ExtMapBuffer2[i]=-0.5;
               break;
            }            
         }         
      }      
//----


//----
   return(0);
  }
//+------------------------------------------------------------------+